# Deprecated API

## Contents

- Terminally Deprecated
- Interfaces
- Classes
- Fields
- Methods
- Constructors

Terminally Deprecated Elements
Element
Description
org.eclipse.pde.core.IModelProviderEvent.ENVIRONMENT_CHANGED
Since the 4.4 Luna release, target platform changes are not tracked as model events
org.eclipse.pde.core.IModelProviderEvent.TARGET_CHANGED
Since the 4.4 Luna release, target platform changes are not tracked as model events
org.eclipse.pde.core.target.TargetBundle.STATUS_INVALID_MANIFEST
not used anymore

Deprecated Interfaces
Interface
Description
org.eclipse.pde.ui.target.ITargetLocationEditor
use `ITargetLocationHandler` instead
org.eclipse.pde.ui.target.ITargetLocationUpdater
use `ITargetLocationHandler` instead

Deprecated Classes
Class
Description
org.eclipse.pde.ui.templates.ChoiceOption
see `RadioChoiceOption` and `ComboChoiceOption`

Deprecated Fields
Field
Description
org.eclipse.pde.core.IModelProviderEvent.ENVIRONMENT_CHANGED
Since the 4.4 Luna release, target platform changes are not tracked as model events
org.eclipse.pde.core.IModelProviderEvent.TARGET_CHANGED
Since the 4.4 Luna release, target platform changes are not tracked as model events
org.eclipse.pde.core.target.TargetBundle.STATUS_INVALID_MANIFEST
not used anymore
org.eclipse.pde.launching.AbstractPDELaunchConfiguration.shouldVMAddModuleSystem
This field was wrongly added and is no longer used.
org.eclipse.pde.launching.IPDELauncherConstants.DESELECTED_WORKSPACE_PLUGINS
Use `IPDELauncherConstants.DESELECTED_WORKSPACE_BUNDLES`
org.eclipse.pde.launching.IPDELauncherConstants.SELECTED_TARGET_PLUGINS
Use `IPDELauncherConstants.SELECTED_TARGET_BUNDLES`
org.eclipse.pde.launching.IPDELauncherConstants.SELECTED_WORKSPACE_PLUGINS
Use `IPDELauncherConstants.SELECTED_WORKSPACE_BUNDLES`
org.eclipse.pde.launching.IPDELauncherConstants.TARGET_BUNDLES
Use `IPDELauncherConstants.SELECTED_TARGET_BUNDLES`
org.eclipse.pde.launching.IPDELauncherConstants.TRACING_SELECTED_PLUGIN
This option is no longer supported in the launch config. A recent selection is stored in dialog settings.
org.eclipse.pde.launching.IPDELauncherConstants.USEFEATURES
As of 3.6 the feature-based self-hosting option is not supported
org.eclipse.pde.launching.IPDELauncherConstants.VMINSTALL
use IJavaLaunchConfigurationConstants.ATTR_JRE_CONTAINER_PATH
org.eclipse.pde.launching.IPDELauncherConstants.WORKSPACE_BUNDLES
Use `IPDELauncherConstants.SELECTED_WORKSPACE_BUNDLES`

Deprecated Methods
Method
Description
org.eclipse.pde.core.plugin.IPluginModelBase.getBuildModel()
This method has always returned `null`. Since 3.7, use `PluginRegistry.createBuildModel(IPluginModelBase)` instead.
org.eclipse.pde.core.plugin.IPluginModelBase.getNLLookupLocation()
The URL returned is not encoded. If the file path contains special characters such as `#` this URL cannot be used for opening streams. Instead use `ISharedPluginModel.getInstallLocation()` and create the URL using an encoding tool such as `URIUtil`. Deprecated in 4.3.
org.eclipse.pde.core.project.IBundleProjectDescription.setBundleClassath(IBundleClasspathEntry[])
use `IBundleProjectDescription.setBundleClasspath(IBundleClasspathEntry[])`
org.eclipse.pde.launching.AbstractPDELaunchConfiguration.updatePDELaunchConfigModuleSystem(boolean)
This method was wrongly added and is no longer used. It is a no-op now.
org.eclipse.pde.launching.JUnitLaunchConfigurationDelegate.getClasspath(ILaunchConfiguration)
org.eclipse.pde.ui.launcher.AbstractLauncherTab.createStartingSpace(Composite, int)

Deprecated Constructors
Constructor
Description
org.eclipse.pde.ui.launcher.PluginsTab(boolean)
As of 3.6 the feature-based workspace launch option is no longer available, so there is no need to set this flag